%define debug_package %{nil}
%define _unpackaged_files_terminate_build 0
%define _missing_doc_files_terminate_build 0

Name: xen
Version: 4.0.0
Release: 79%{dist}
Summary: Xen is a virtual machine monitor
Group: Development/Libraries
License: GPL
URL: http://xen.org/
# Source0 is xen-4.0-testing.hg C/S 21088 
Source0: xen-4.0-21088-ovs.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#Patch1: dummy-null.patch
Patch2: kdb.patch
Patch3: enable_gdbsx_build.patch
Patch4: ovs-xen-add-qos-support.patch
Patch5: ovs-xen-add-domain-running-lock-callout-hook.patch
Patch6: ovs-xen-add-long-cmdline-support.patch
Patch7: put-xenstored-tdb-to-tmpfs.patch
Patch8: load-backend-modules-at-xend-start.patch
Patch9: ovs-xen-disable-network-script.patch
Patch10: ovs-xen-dm-nfs-block-setup.patch
Patch11: ovs-xen-xend-config-enable-ssl-relocation-server.patch
Patch12: ovs-xen-xend-config-set-vnc-listen-everywhere.patch
Patch13: ovs-xen-expose-host-uuid.patch
Patch14: acpi_timer_override_workarounds.patch
Patch15: kdb-conditional-bp-etc.patch
Patch16: kdb-mods-cmd.patch
Patch17: install-debug-hypervisor.patch
Patch18: ovs-xen-pygrub-ext4-support.patch
Patch19: patch1149.patch
Patch20: ovs-xen-xend-service-status-report.patch
Patch21: xen-unstable-21684.patch
Patch22: ovs-backward-compatibility-with-2.x.patch
Patch23: patch4334.patch_31258
Patch24: make-gdbsx-part-of-xen.patch
Patch25: kdb-disp-more-cpu-data.patch
Patch26: xen-unstable-cs-21767-hvmloader-xenbus-frontend.patch
Patch27: xen-unstable-cs-21831-hvmloader-clear-xenbus-event-channel.patch
Patch28: hvmloader-acpi-s3-s4.patch
Patch29: xend-acpi-s3-s4-config.patch
Patch30: xen-unstable-cs-21839-hvmloader-clear-shared-info-when-xenbus-shutdown.patch
Patch31: xend-acpi-s3-s4-config-code-clean-up.patch
Patch32: patch1792.patch
Patch33: stage-qemu-dm.patch
Patch34: patch6411.patch
Patch35: patch9188.patch_21979
Patch36: patch6536.patch_23510
Patch37: patch9536.patch_26613
Patch38: modprobe_gntdev.patch
Patch39: ovs-xen-tools-dom0-min-mem-disable-ballooning.patch
Patch40: gntdev-creation-udev-rule.patch
Patch41: xenstore-descriptor-leak.patch
Patch42: patch5498.patch
Patch43: xen-xend-service-stop-status.patch
Patch44: cumulative-update-21327-to-21422.patch
Patch45: patch4104.patch
Patch46: kdb_btp_patch.patch
Patch47: dbgr_xmstat.patch
Patch48: ovs-fix-solaris-pxe-boot.patch
Patch49: kdb-upstream-merge.patch
Patch50: kdb-udis.patch
Patch51: disable-dm-nfs.patch
Patch52: patch505.patch
Patch53: patch8703.patch_28603
Patch54: vif-mtu.patch
Patch55: patch9271.patch
Patch56: patch5964.patch_22950
Patch57: cumulative-21423-21457.patch
Patch58: x86_64-fix-error-checking-in-arch_set_info_guest.patch
Patch59: version-includes-OVM.patch
Patch60: patch1742.patch
Patch61: patch2452.patch_14233
Patch62: change-param-of-ovs-agent-dlm.patch
Patch63: patch4218.patch
Patch64: change-param-of-ovs-agent-dlm.patch_6476
Patch65: fix-dom0-ballooning-when-dom-min-mem-set.patch
Patch66: xen-xend-domains-lock-path.patch
Patch67: patch7466.patch
Patch68: non-ssl-vnc-localhost-only.patch
Patch69: xendomains-shutdown-vm-on-stop.patch
Patch70: cumulative_21458_21511.patch
Patch71: bulldozer-fixes.patch
Patch72: xen-hotplug-script-block-share-list.patch
Patch73: xen-pygrub-fix-solaris-kernel-sniff.patch
Patch74: fix-solaris-detection.patch
Patch75: patch7479.patch
# End Oracle Patches

BuildRequires: transfig libidn-devel zlib-devel curl-devel
BuildRequires: python-devel ghostscript tetex-latex gettext
BuildRequires: ncurses-devel libaio-devel libxml2-devel
BuildRequires: flex bison pciutils-devel
# for the docs 
BuildRequires: perl 
# so that the makefile knows to install udev rules
BuildRequires: udev 
BuildRequires: texi2html imake
# need this level for modprobe --dump-modversions
BuildRequires: module-init-tools >= 3.3-0.pre3.1.16
# for the VMX "bios" 
BuildRequires: dev86

Requires: bridge-utils
Requires: udev >= 059
Requires: ovs-utils
Requires: util-linux >= 2.13-0.45

# Not strictly a dependency, but kpartx is by far the most useful tool right
# now for accessing domU data from within a dom0 so bring it in when the user
# installs xen.
Requires: kpartx
Prereq: chkconfig
Obsoletes: xen-64
#ExclusiveArch: x86_64

%description
This package contains the Xen hypervisor and Xen tools, needed to
run virtual machines on x86 systems.

%package tools
Summary: Various tooling for the manipulation of Xen instances
Group: System Environment/Libraries
Requires(pre): /sbin/ldconfig 
Requires(post): /sbin/ldconfig

%description tools
This package contains the user utilities required for the manipulation
of Xen guest instances, associated documentation and keymaps.

%package debugger
Summary:  Xen is a virtual machine monitor
Group:    Development/Libraries
Requires: xen-tools = %{version}-%{release}

%description debugger
This package contains xen debuggers, kdb and gdbsx, that can be used to
debug hypervisor, dom0, and running 32-bit and 64-bit guests.

%package devel
Summary: Development libraries for Xen tools
Group: Development/Libraries
Requires: xen-tools = %{version}-%{release}
Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

%description devel
This package contains headers and static libraries to develop applications to
manage Xen virtual machines. 

%package pvhvm-devel
Summary: Development libraries for Xen PV-HVM drivers
Group: Development/Libraries

%description pvhvm-devel
This package contains the sources necessary to build paravirtualized drivers
for linux hvm domains.  These come from the unmodified_drivers/linux-2.6
directory in the source tree.

%prep
%setup -q -n xen-4.0-21088-ovs
#%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch46 -p0
%patch47 -p0
%patch48 -p0
%patch49 -p0
%patch50 -p0
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p0
%patch56 -p0
%patch57 -p0
%patch58 -p0
%patch59 -p0
%patch60 -p0
%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0
%patch65 -p0
%patch66 -p0
%patch67 -p0
%patch68 -p0
%patch69 -p0
%patch70 -p0
%patch71 -p0
%patch72 -p0
%patch73 -p0
%patch74 -p0
%patch75 -p0

# Our auto patch generation will remove execute permissions, so chmod here.
%build
make DESTDIR=$RPM_BUILD_ROOT kdb=y install-xen install-tools install-docs
make DESTDIR=$RPM_BUILD_ROOT clean
make DESTDIR=$RPM_BUILD_ROOT install-xen install-tools install-docs

%install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/%{name}/xend-db/vnet
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/%{name}/xend-db/migrate
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/xenstored
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/run/xenstored
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/xen

rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/qemu
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug

# install all of the public headers
mkdir -p $RPM_BUILD_ROOT%{_includedir}/xen/io $RPM_BUILD_ROOT%{_includedir}/xen/hvm
install -m 644 xen/include/public/io/*.h $RPM_BUILD_ROOT%{_includedir}/xen/io
install -m 644 xen/include/public/hvm/*.h $RPM_BUILD_ROOT%{_includedir}/xen/hvm
install -m 644 xen/include/public/*.h $RPM_BUILD_ROOT%{_includedir}/xen/
install -m 644 xen/include/public/COPYING $RPM_BUILD_ROOT%{_includedir}/xen/
install -m 644 xen/kdb/README %{buildroot}%{_datadir}/doc/xen/README.kdb
install -m 644 tools/debugger/gdbsx/README %{buildroot}%{_datadir}/doc/xen/README.gdbsx
install -m 644 tools/perf/xmstat/README %{buildroot}%{_datadir}/doc/xen/README.xmstat

# install pvhvm headers and sources
mkdir -p $RPM_BUILD_ROOT/usr/src/xen-pvhvm-devel/%{version}-%{release}-%{_target_cpu}
cp -LpR unmodified_drivers/ $RPM_BUILD_ROOT/usr/src/xen-pvhvm-devel/%{version}-%{release}-%{_target_cpu}/

# fixing start-script dir
rm -rf $RPM_BUILD_ROOT/etc/rc.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

mv -f $RPM_BUILD_ROOT/etc/udev/xen-backend.rules $RPM_BUILD_ROOT/etc/udev/rules.d/

# remove docs
rm -fr %{buildroot}/%{_datadir}/doc/xen/pdf
rm -fr %{buildroot}/%{_datadir}/doc/xen/ps

# create dirs in /var/run so that selinux contexts are right (#195952)
mkdir -p $RPM_BUILD_ROOT/var/run/xend $RPM_BUILD_ROOT/var/log/xen
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/images

%post
/sbin/chkconfig --add xend
/sbin/chkconfig --add xendomains

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del xend
  /sbin/chkconfig --del xendomains
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/boot/*

%files tools
%doc COPYING README
%doc docs/pdf/
%doc docs/misc/
%config(noreplace) %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/sysconfig/xend
%config(noreplace) %{_sysconfdir}/sysconfig/xendomains
%{_sbindir}/*
%{_bindir}/*
%{_libdir}/%{name}
%{_libdir}/fs/*/*.so
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_mandir}/man?/*
/usr/share/xen/man/man1/qemu-img.1
/usr/share/xen/man/man1/qemu.1
/usr/share/xen/man/man8/qemu-nbd.8
/usr/share/xen/qemu/bamboo.dtb
%{_libdir}/python*/site-packages
/usr/lib/xen/boot/hvmloader
/usr/lib/xen/bin/qemu-dm
%{_libdir}/xen/boot/hvmloader
%{_libdir}/xen/bin/qemu-dm
/usr/share/xen/create.dtd
%dir %attr(0700,root,root) %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}/qemu
%dir %{_localstatedir}/xen/dump
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/xenstored
%dir %{_localstatedir}/run/xenstored
%dir %{_localstatedir}/run/xend
%dir %attr(0700,root,root) /var/log/xen
%{_datadir}/%{name}/qemu/keymaps/*
%{_datadir}/%{name}/qemu/*.bin
%{_datadir}/%{name}/qemu/*.x
%{_datadir}/%{name}/qemu/openbios*
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/udev/xend.rules
%{_sysconfdir}/udev/rules.d/*.rules
%{_localstatedir}/lib/%{name}/*
/usr/share/doc/xen/README.xmstat

%files debugger
%{_sbindir}/gdbsx
/usr/share/doc/xen/README.kdb
/usr/share/doc/xen/README.gdbsx

%files devel
%defattr(-,root,root)
%{_includedir}/
%{_libdir}/*.a

%files pvhvm-devel
%defattr(-,root,root)
/usr/src/xen-pvhvm-devel/*

%changelog
* Fri Jul 15 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-79 
- KDB: enhance dgdt. hvm set single_step. gdbsx, add trace print. 

* Fri Jul 08 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-78 
- fix solaris domU detection
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 12718579] 

* Thu Jul 07 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-77 
- tools/pygrub: fix solaris kernel sniff
  Solaris 11 build 163+ removes '/platform/i86xpv/kernel/unix' and only the
  64-bit PV kernel file '/platform/i86xpv/kernel/amd64/unix' exists.
  This patch fixes the detection.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12718579] 

* Thu Jul 07 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-76 
- tools/hotplug/Linux/block: fix shared loop device detection
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12316734] 

* Thu Jun 16 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-75 
- AMD Bulldozer cpu's require some fixes to get them working.
  We do NOT provide the support for these features:
  - SVM perfmance enhancements ("clean bits").
  - AVX
  - LWP
  We expect Xen to be started with xsave=0 for AMD bulldozer systems in order
  to disable AVX.
  Xen-4.1-testing: 22462:98eb4a334b77
  Xen-4.1-testing: 23027:2dde81ed2e3d
  xen-unstable.hg: 23290:1ac7336b6298
  xen-unstable.hg: 23511:450f1d198e1e
  Signed-off-by: Andrew Thomas <andrew.thomas@oracle.com> 

* Thu Jun 16 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-74 
- This is a Xen cumulative patch from c/s 21458 to 21511 (in the 4.0
  testing tree.) It includes an important VT-d related CVE and necessary
  updates for AMD (Bulldozer in particular).
  Signed-off-by: Andrew Thomas <andrew.thomas@oracle.com> 

* Thu Jun 09 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-73 
- fix xendomains to shutdown vms on stop
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 11907918] 

* Thu Jun 09 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-72 
- make non-ssl vnc listen on localhost only.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed Jun 08 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-71 
- KDB: Handle support for MTF flag for hvm guest single step. Set single_step in
  case of HVM guest so that MTF flag is set. 

* Mon May 23 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-70 
- enable domain lock callout.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon May 23 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-69 
- fix to avoid ballooning when dom0-min-mem is set and enable-dom0-ballooning
  is enabled. [bug 12404026] 

* Wed May 11 2011 Junjie Wei <junjie.wei@oracle.com> - 4.0.0-68 
- Changes to parameters passed to ovs-agent-dlm.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed May 11 2011 Junjie Wei <junjie.wei@oracle.com> - 4.0.0-67 
- Revert to r2515. 

* Wed May 11 2011 Junjie Wei <junjie.wei@oracle.com> - 4.0.0-66 
- Change parameters passed to ovs-agent-dlm.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Apr 27 2011 Annie Li <annie.li@oracle.com> - 4.0.0-65 
- Fix Bug 10238928 - XEND CONFIG LAYER FAILS TO REFRESH GUEST DEVICE INFO WHEN CHANGED DYNAMICALLY.
  1. Add deleteDevice in XendDomainInfo.py.
  2. Call deleteDevice in deviceDestroyCallback of DevController.py.
  3. set event after wait timeout. 

* Thu Mar 24 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-64 
- KDB: print longs for page struct fields. 

* Fri Mar 18 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-63 
- Add -OVM to version information. This is visible through smbios/dmidecode
  information for HVM (ie Solaris) guests. [bug 11792774] 

* Fri Mar 18 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-62 
- Important security fix.
  # HG changeset patch
  # User Tim Deegan <Tim.Deegan@citrix.com>
  # Date 1300122058 0
  # Node ID ee088a0b5cb89793da67abb3cc389f42247bba98
  # Parent  b024d5ecc1943c0d74bfc04cb440ea96159e429b
  x86_64: fix error checking in arch_set_info_guest()
  Cannot specify user mode execution without specifying user-mode
  pagetables.
  Signed-off-by: Tim Deegan <Tim.Deegan@citrix.com>
  Acked-by: Keir Fraser <keir@xen.org>
  xen-unstable changeset:   23034:c79aae866ad8
  xen-unstable date:        Mon Mar 14 16:59:49 2011 +0000 

* Fri Mar 18 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-61 
- Cumulative updates from upstream (mostly HVM related).
  Changesets 21423-21457 [inclusive, but removing mercurial repo changes.]
  Includes 21440 which addresses Orabug: 10255006 [bug 10255006] 

* Fri Mar 04 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-60 
- xmstat: fix type in README. 

* Tue Feb 22 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-59 
- KDB: clear watchpoints on all cpus. 

* Mon Feb 21 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 4.0.0-58 
- When a VIF connect to a bridge change its MTU (1500 | 9000) if needed. 

* Fri Feb 18 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-57 
- KDB: Do detailed display of VMCS on Intel upon dvmc cmd. 

* Fri Feb 18 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-56 
- KDB: enhance dgdt again. check for valid mfn in m2p command. 

* Thu Feb 10 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-55 
- A hack to disable dm-nfs support prioir to Junjie's clean up.
  Signed-off-by: kurt.hackel@oracle.com :-) 

* Thu Feb 03 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-54 
- KDB: refresh disassembler library, udis, to 1.7. 

* Thu Feb 03 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-53 
- KDB: changes related to refreshing upstream ext tree to latest unstable" 

* Mon Jan 31 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-52 
- Import 2.2 patch for Solaris PXE boot. Also update eb-roms.h file to
  prebuilt version (a minor annoyance with srpm repos). [bug 11076422&10135669] 

* Tue Jan 25 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-51 
- gdbsx: update README. kdb: update README with btp cmd. xmstat: Update tools/Makefile and add perf/Makefile to always build and install it. 

* Fri Jan 21 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-50 
- KDB: add new cmd btp, to trace upon breakpoints. Add display of timer structs
  and vlapic structs. 

* Thu Jan 20 2011 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-49 
- XMSTAT: initial checkin. 

* Tue Jan 04 2011 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-48
- Cumulative patch from 21327 to 21422; as we already had some of these
  applied, this cumulative patch omits: 21336, 21337, 21344.
  This patch contains some minor changes for IDLE_DOMAIN_ID to
  DOMID_IDLE changes affecting:
  kdb_cmds.c
  x86/udis86-1.6/kdb_dis.c 

* Mon Dec 06 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-47 
- Fix xend service stop status: return 0 on success.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Acked-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 10334816] 

* Tue Nov 16 2010 Kevin Lyons <kevin.x.lyons@oracle.com> - 4.0.0-46 
- Add dependency on pciutils-devel for xen-tools package

* Tue Nov 16 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-45 
- KDB: Redo gdt display command. Add commands to display MSRs and cpuid outputs. 

* Thu Oct 07 2010 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-44
- Remove SDL-devel, gtk2-devel, and libX11-devel from BuildRequires

* Wed Oct 06 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 4.0.0-43 
- Fix a descriptor leak in xenstore. The function xs_daemon_close() was not closing descriptors.
  orabug:10155532 

* Tue Oct 05 2010 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-42 
- Add rule to create /dev/xen/gntdev 

* Tue Oct 05 2010 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-41 
- Disable ballooning of dom0 - this is from 2.2.1 (see bug 8604766
  and 9485681). Not an orabug on this release though. 

* Tue Oct 05 2010 Andrew Thomas <andrew.thomas@oracle.com> - 4.0.0-40 
- 2.6.32 kernel uses gntdev as a module, so load it at runtime 

* Fri Sep 10 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-39 
- x2apic related fixes from Yinghai Lu. Increase MAX_LOCAL_APIC to 512, change apic_id to u32, etc... 

* Tue Sep 07 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-38 
- Disable intel xsave. Changeset 21336 in unstable. See http://www.gossamer-threads.com/lists/xen/devel/184099, or search xen devel archives for "xen trouble while guest excute float app". 

* Tue Sep 07 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-37 
- gdbsx: Try the MTF flag first during HVM guest single step, reverting to
  manually setting the TF flag if that fails. 

* Thu Sep 02 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-36 
- Apply patches from Yinghai: mparse_pass_32bit_apicid, 256_cpus, x2apic_preenable, x2apic-acpi, and remove_warning.patch. 

* Sun Aug 29 2010 Kevin Lyons <kevin.x.lyons@oracle.com> - 4.0.0-35 
- Stage qemu-dm in /usr/lib64 

* Thu Aug 26 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-34 
- Refresh xen to xen RELEASE-4.0.1, C/S 21326. Refresh QEMU to TAG xen-4.0.1. 

* Mon Jul 26 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-33 
- xend: acpi s3/s4 code clean up. 

* Mon Jul 26 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-32 
- Backport xen unstable cs 21839:
  hvmloader: clear the whole shared-info page when shutting down xenbus
  since the contents might be in the wrong word-size for later users.
  Signed-off-by: Tim Deegan <Tim.Deegan@citrix.com> 

* Mon Jul 26 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-31 
- xend: add acpi s3/s4 configuration options. 

* Mon Jul 26 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-30 
- hvmloader: enable dynamic acpi s3/s4 change. 

* Mon Jul 26 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-29 
- Backport xen-unstable-cs-21831:
  hvmloader: clear the xenbus event-channel when we're done with it.
  Otherwise a later xenbus client that naively waits for the rising edge
  could get stuck.
  Signed-off-by: Tim Deegan <Tim.Deegan@citrix.com> 

* Mon Jul 26 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-28 
- Backport xen-unstable-cs-21767:
  hvmloader: Add a xenbus frontend so it can read values from xenstore
  Signed-off-by: Tim Deegan <Tim.Deegan@citrix.com> 

* Fri Jul 16 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-27 
- display more cpu data info. sync with ext tree c/s 20376, unst c/s 21811. 

* Thu Jul 15 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-26 
- Make gdbsx part of normal xen to align with upstream. 

* Thu Jul 15 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-25 
- Remove space from qThreadInfo packet because newer gdb version 7* has
  a bug in parsing thread list. Also, another gdb bug in printf. 

* Fri Jul 09 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 4.0.0-24 
- Stage hvmloader and qemu-dm in /usr/lib and /usr/lib64 for backward
  compatibility with vm.cfg files from OVM 2.x [bug 9348075] 

* Thu Jul 08 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-23 
- back port xen-unstable change set 21684:
  tools/python: sxp parser: show empty string
  This patch makes the sxp parser show empty string.
  Test case:
  import sxp
  sxp.show(sxp.from_string('(a "")'))
  sxp.show(sxp.from_string("(a '')"))
  Without this patch:
  (a )(a )
  With this patch:
  (a '')(a '')
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Jul 08 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-22 
- Improve xend service to give better status report. [bug 9882998] 

* Tue Jun 29 2010 Dan Magenheimer <dan.magenheimer@oracle.com> - 4.0.0-21 
- tmem page dedup and tmem bug fixes through xen-unstable cs21658 

* Fri Jun 25 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-20 
- Add ext4 support for pygrub: use the shipped ext2 library. 

* Fri Jun 18 2010 Kevin Lyons <kevin.x.lyons@oracle.com> - 4.0.0-19 
- Alter xen/Makefile to install the debug hypervisor when built with the gdbsx flag.
  Oracle-bug:9817500 

* Wed Jun 09 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-18 
- KDB: Add new cmd to display loaded modules in a guest. Add barrier() in
  kdb_trap_immed(). 

* Tue May 25 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-17 
- 1) NEW: conditional breakpoints.  2) Redo dirq cmd.  3) NEW: cmd dvit (display per cpu vector irq table).

* Mon May 17 2010 Gary Grebus <gary.grebus@oracle.com> - 4.0.0-16 
- Add workarounds for timer interrupt routing crashes on some Supermicro systems.
  The MP BIOS tables on some systems incorrectly route the timer interrupt.
  Try to automatically set the kernel parameter "acpi_skip_timer_override" on
  these systems.  Add kernel parameter "acpi_use_timer_override" to disable
  automatic application.
  Signed-off-by: kurt.hackel@oracle.com [bug 9694370] 

* Sun May 16 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-15 
- expose host uuid to guest via xenstore.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed May 12 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-14 
- Set VM vnc server listen everywhere.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Wed May 12 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-13 
- Enables xend ssl relocation server.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Sun May 09 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-12 
- Enable dm-nfs block setup.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Gary Grebus <gary.grebus@oracle.com> 

* Wed May 05 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-11 
- disable network-script 

* Tue Apr 06 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-10 
- Load backend modules at xend start. 

* Tue Apr 06 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-9 
- Put xenstored tdb to tmpfs. 

* Tue Apr 06 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-8 
- Add long cmdline support. 

* Tue Apr 06 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-7 
- Add domain running lock callout hook. 

* Tue Apr 06 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.0.0-6 
- Add vbd/vif qos support. 

* Fri Apr 02 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-5 
- Enable building of debug pkgs.

* Fri Apr 02 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-4 
- DEBUG PKG: Enable build of gdbsx so it can be included in our debug pkg. 

* Fri Apr 02 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-3 
- KDB: merge kdb patch. 

* Wed Apr 01 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-2
- Add dummy-null.patch so the autopatch can be turned on. The autopatch will
  fail if there are no patches in the spec file.

* Wed Apr 01 2010 Mukesh Rathor <mukesh.rathor@oracle.com> - 4.0.0-1
- Initial spec file for xen 4.0 in ovm3.0 release. The initial tar file 
  for Source0 is tar of the base expanded tree. Basically, xen 4.0 c/s 21088
  with qemu copied locally, and iasl compiled and put in the acpi directory.
  
